Subject: Re: [PATCH -next] sound: fix lola build

From: Takashi Iwai <[email-masked]>
Date: Wed, 04 May 2011 19:54:33 +0200

At Wed, 4 May 2011 09:53:10 -0700,
Randy Dunlap wrote:
> 
> From: Randy Dunlap <[email-masked]>
> 
> sound/pci/lola/Makefile was trying to build lola modules even
> when PCI and SND_LOLA were not enabled, causing build errors:
> 
> ERROR: "snd_pcm_hw_constraint_step" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_period_elapsed" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_dma_alloc_pages" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_hw_constraint_integer" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_sgbuf_ops_page" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_set_ops" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_lib_free_pages" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_lib_ioctl" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_lib_malloc_pages" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_sgbuf_get_chunk_size" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_dma_free_pages" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_lib_preallocate_pages_for_all" [sound/pci/lola/snd-lola.ko] undefined!
> ERROR: "snd_pcm_new" [sound/pci/lola/snd-lola.ko] undefined!
> 
> Fix the Makefile to build only when CONFIG_SND_LOLA is enabled.

Gah, this was taken over from the devel branch and I forgot to fix
at the merge time.  Thanks for noticing.

Takashi

> Signed-off-by: Randy Dunlap <[email-masked]>
> ---
>  sound/pci/lola/Makefile |    3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
> 
> --- linux-next-20110504.orig/sound/pci/lola/Makefile
> +++ linux-next-20110504/sound/pci/lola/Makefile
> @@ -1,3 +1,4 @@
>  snd-lola-y := lola.o lola_pcm.o lola_clock.o lola_mixer.o
>  snd-lola-$(CONFIG_SND_DEBUG) += lola_proc.o
> -obj-m = snd-lola.o
> +
> +obj-$(CONFIG_SND_LOLA) += snd-lola.o
>